@echo off
setlocal
if NOT DEFINED USER_CHECKOUT_ROOT echo You need to run envvar.cmd to set CHECKOUT_ROOT & goto quit

rem This script runs a test suite on a remote server.
rem Invoked as: runsuites javaclient? <hostname> <hostport> suite_name suite_dir outputdir
rem ----------------------------------------------------------------------

set JavaClient=0
set ServerName=0
set ServerPort=0
set SuiteName=0
set SuiteDir=0
set OutputDir=0
if NOT "%1"=="" set JavaClient=%1& shift
if NOT "%1"=="" set ServerName=%1& shift
if NOT "%1"=="" set ServerPort=%1& shift
if NOT "%1"=="" set SuiteName=%1& shift
if NOT "%1"=="" set SuiteDir=%1& shift
if NOT "%1"=="" set OutputDir=%1& shift

if %SuiteDir%==0 echo Invoked as: runsuites javaclient? hostname hostport suite_name suite_dir output_dir& goto quit

echo "=============== PREDATOR Regression Test Suites ==============="

if EXIST %SuiteDir%\%SuiteName% goto runsuite

echo "Suite %SuiteDir%\%SuiteName% does not exist."

goto quit
rem ----------------------------------------------------------------------

:runsuite

 echo "Running %SuiteDir%\%SuiteName% suite"

 rem Clean up old output files
 erase /F /Q %OutputDir%\%SuiteName%.*.out
 erase /F /Q %OutputDir%\%SuiteName%.*.diff

 for %%i in (%SuiteDir%\%SuiteName%\*.run) do call clientrun.cmd %JavaClient% %ServerName% %ServerPort% %SuiteName% %%~ni %SuiteDir% %OutputDir%

 rem I dont know a simple way to examine the diffs
 dir /OS %OutputDir%\%SuiteName%.*.diff
rem ----------------------------------------------------------------------

:quit
endlocal

echo "---------------------------------------------------------------"
echo "=========== PREDATOR Regression Test Suite COMPLETE =========="
