package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The box ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see BoxObject
 */
public class ADT_box extends ADT {
  /**
   * Returns the class of the box ADT's object data: BoxData
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the box ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new BoxObject().getClass());
  }
}

