package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The circle ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see CircleObject
 */
public class ADT_circle extends ADT {
  /**
   * Returns the class of the circle ADT's object data: CircleData
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the circle ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new CircleObject().getClass());
  }
}

