package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The complex ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version June 31, 1997
 * @see ComplexData
 */
public class ADT_complex extends ADT {
  /**
   * Returns the class of the complex ADT's object data: ComplexObject
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the complex ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new ComplexObject().getClass());
  }
}

