package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The integer ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see IntegerObject
 */
public class ADT_int extends ADT {
  /**
   * Returns the class of the integer ADT's object data
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the integer ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new IntegerObject().getClass());
  }
}

