package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The polygon ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see PolygonData
 */
public class ADT_polygon extends ADT {
  /**
   * Returns the class of the polygon ADT's object data: PolygonData
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the polygon ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new PolygonObject().getClass());
  }
}

