package PREDATOR.ADT;

/**
 * Encapsulates all in-memory data regarding an type_blob ADT object.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see ADT_type_blob
 */
public class BlobObject extends DataObject {
  /**
   * Prints the value of the type_blob
   * @param MetaInfo The meta-info for this object
   * @return A string holding the value of the type_blob
   */
  public String toString(ADTMetaInfo MetaInfo) {
	String tmp = super.toString(MetaInfo);
	if (tmp != null)
	  return (tmp);
    return ("BLOB");
  }
}
