package PREDATOR.ADT;

import PREDATOR.*;
import java.io.*;

/**
 * The null ADT, which is a placeholder for all Server ADTs which have
 * not registered java classes.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see NullObject
 */
public class NullADT extends ADT {
  /**
   * Returns the class of the null ADT's object data: NullData
   * @param MetaInfo The meta-info for the object to be read
   * @return the class of the null ADT's object data: NullData
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo) 
  { return (new NullObject()).getClass(); }
}
