package PREDATOR.ADT;

/**
 * The exception thrown when display is invoked on a DataObject but the
 * required callback has not yet been made.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see DisplayObject#display()
 */
public class RequiresCallbackException extends Exception {
  /**
   * Constructs a RequiresCallbackException without a detail message.
   */
  public RequiresCallbackException()
  {
    super();
  }
  /**
   * Constructs a RequiresCallbackException with the specified message.
   */
  public RequiresCallbackException(String Message)
  {
    super(Message);
  }
}
