//Test with URLConnection
//Written By Daniel Gauvreau April 1997
//extended by GetFileMethod method by Tobias Mayr 2-7-98
// This is supposedly part of the JavaUtilities project
package PREDATOR.Utilities;

import java.net.*;
import java.io.*;

class GetFile{
  //syntax GetFile URL targetfile
  //example GetFile http://www.starwave.com/people/naughton/ output.txt
   public static void main(String args[]) throws Exception {
     int c;
     //create a file to output the download to
     FileOutputStream outfile;
     outfile = new FileOutputStream(args[1]);
     //open the URL connection and store the length of the resource at the URL
     try{
       // System.out.println("Fetching URL: " + args[0]);
       URL url = new URL(args[0]);
       DataInputStream inStream = new DataInputStream(url.openStream());
       while((c = inStream.read())!=-1){	 
	 outfile.write(c);
       }
       inStream.close();
	   outfile.close();
     }catch (MalformedURLException ex){
       System.out.println("Bad URL");
	   outfile.close();
	   throw new PREDATOR.InternalError(ex);	// System.exit(1);
     }catch (IOException ex){
       System.out.println("IOException occurred.");
       throw new PREDATOR.InternalError(ex); //System.exit(1);
     }
   };
       
  static void GetFileMethod(String URL, String FileName) throws Exception
  {
    String args[] = new String[2]; 
    args[0] = URL;
    args[1] = FileName;
    main(args);
  };

}





 













