package PREDATOR;

/**
 * The exception thrown when a method is called which requires a connection,
 * but no connection is open.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 */
public class NoOpenConnectionException extends Exception {
  /**
   * Constructs a NoOpenConnectionException without a detail message.
   */
  public NoOpenConnectionException()
  {
    super();
  }

  /**
   * Constructs a NoOpenConnectionException with the specified message.
   */
  public NoOpenConnectionException(String Message)
  {
    super(Message);
  }
}
