#ifndef XXX_DOCUTILS_H
#define XXX_DOCUTILS_H

#include <string.h>
#include <ctype.h>

int XxxKMPStrFind(const char* Text, const char * Pattern);
int XxxNaiveStrFind(const char* String, const char * SearchString);
int XxxCStrFind(const char * String, const char * SearchString);


inline void tolowerstr(char* String) {
  int i;
  const int StringSize = strlen(String);
  for(i = 0; i < StringSize; i++) {
    String[i] = tolower(String[i]);
  }
}

// Users should not directly use the above two functions,
// and should use the following abstraction.
inline int XxxStrFind(const char * String, 
		      const char * SearchString) {
  return XxxCStrFind(String, SearchString);
} // XxxStrFind(const char* string, const char* searchString)



#endif /* #ifndef XXX_DOCUTILS_H */

