#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>
#include <ctype.h>
#include <unistd.h>

#include "xxx_thread.h"

main(int argc, char **argv)
{

 if (argc < 2) {
   cerr << "need to specify port number: eg. xxx 6005" << endl;
   exit(2);
  }

 XxxSocketStarter DummyStarter;

 // create an init thread that does all the work!!
 XxxInitThread *InitThread = new XxxInitThread(argc, argv);
 if (!InitThread->Valid())  {
   fprintf(stderr, "init thread not valid!\n");
   return 1;
  }

 /***** Do this only if threads are auto-delete **/
 // Sleep till shutdown
 if (InitThread->Shut.Wait() != XXX_OK) {
   cerr << "Unable to shutdown Init Thread!" << endl;
   return 1;
  }
 /* *******/
 W_COERCE(InitThread->wait(WAIT_FOREVER));
 delete InitThread;


 cerr << "Nice talking to you!" << endl;

 return 0;
}





