#ifndef XXX_SOCKET_H
#define XXX_SOCKET_H
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <netinet/in.h>
#ifdef XXX_WIN32
#include <winsock2.h>
// sleep for A seconds
#define XXX_SLEEP(A) Sleep(A*1000)
#else
#include <arpa/inet.h>
#ifdef __GNUG__
#include <netdb.h>
#endif
typedef int DWORD; // WIN32 defines this
// sleep for A seconds
#define XXX_SLEEP(A) sleep(A)
#endif

/* for gethostbyname */

#define XXX_SERVSOCK 0
#define XXX_TALKSOCK 1

class XxxSocketConnection {
  int socketType;
  XxxSocketConnection(int SockDesc, int SockType);
 public:
  int socketDesc;
  int Valid() { return (socketDesc != -1);}
  int ReadN(char *Buf, int NBytes);
  int ReadLine(char* Buf, int MaxLen);
  int WriteN(char* Buf, int NBytes);
  XxxSocketConnection* AcceptConnection();

  XxxSocketConnection(int Port); // used to create a server socket
  XxxSocketConnection(char *HostName, int Port); // client socket
  ~XxxSocketConnection();
};

/**
 * This class implements startup and shutdown for
 * Winsock2. Dummy otherwise.
 */
class XxxSocketStarter {
public:
  XxxSocketStarter();
  ~XxxSocketStarter();
};

#endif
