#ifndef TYPELIST_H
#define TYPELIST_H

class TypeInfo {
public:
	// The type id for this type in the ADT array
	int typeId;
	// The name for this type
	char name[10];
	// The type of composite ADT, right now, alias, enum and struct are supported
	char type[10];
	// The length of other information
	int infoLen;
	// The serialized version of other information
	char *tInfo;

public:
	/**
	 *	Construct the typeInfo struct from the object stored
	 *  in shore, used for restarting of a server
	 */
	TypeInfo(char *shoreData);

	TypeInfo(int typeId, const char* name, const char* type, int infoLen, char *tInfo);

	~TypeInfo();

	void *Serialize();

	int DataSize();
};

#endif

