//mmaasha -
#include <stddef.h>
#include "viewlist.h"
//Bjarke, sep. 19 2001: removed #ifdef since string.h should be included on all platforms
//#ifdef XXX_WIN32
#include <string.h>
//#endif



ViewInfo::ViewInfo(char *shoreData){
	int size, sizeN;
	sizeN = *((int *)shoreData);
	memcpy(name, shoreData+sizeof(int), sizeN);
	name[sizeN] = 0;

	size = *((int *)(shoreData + sizeN + sizeof(int)));
	
	vInfo = new char[size+1];
	memcpy(vInfo, shoreData+2*sizeof(int)+sizeN, size);
	vInfo[size]=0;
}

ViewInfo::ViewInfo(const char* name, char *vInfo){
	strcpy(this->name, name);
	if(vInfo == NULL){
		vInfo = new char[1];
		strcpy(vInfo, "");
	} else {
		this->vInfo = new char[strlen(vInfo)+1];
		strcpy(this->vInfo, vInfo);
	}
}

ViewInfo::~ViewInfo(){
	delete[] vInfo;
}

void* ViewInfo::Serialize(){
	int vSize = strlen(vInfo), sizeI=sizeof(int);
	int size = DataSize();
	char* data = new char[size];
	
	int sizeN = strlen(name);
	*((int *)data) = sizeN;
	memcpy(data+sizeI, name, sizeN);
	*((int *)(data + sizeI+sizeN) )= vSize;
	
	memcpy(data+sizeI*2+sizeN, vInfo, vSize);
	
	return data;
}

int ViewInfo::DataSize(){
	return (2*sizeof(int)+strlen(name)+strlen(vInfo));
}
