#!/usr/local/bin/perl -w


# af: pink
# $Id: random_employee.pl,v 1.2 2001/09/24 08:42:26 rodaz Exp $
#@ 

use strict;

my $n_records = 100000;

my $range_a_l = 0;
my $range_a_h = 9;
my $range_b_l = 0;
my $range_b_h = 9;





open (F, "/dev/urandom") || die;

sub r {
    my $r;
    read F, $r, 1;    
    return ord($r);
}

#1       Johnson Ben     38486978        3       1
#2       Smith   Sheila  43658320        2       2
#3       Swift   Ken     43289743        3       2
#4       Hohn    James   17833044        1       4
#5       Gates   Bill    37459052        4       1
#6       Dylan   Robert  19486034        1       1
#7       Floyd   Pink    99274271        3       3
#8       Smith   Harold  45639820        5       2
#9       Yates   Dorian  36294749        5       1
#10      Hong    Kwan    46295476        3       5   
 

my @names = split(//, "abcdefghijklmnopqrstuvxyz");

sub name{
    my $len = 3 + r() % 8;
    my $name = uc($names[r() % @names]);
    for (; $len > 0; $len--) {
	$name .= $names[r() % @names];
    }
    return $name;
}

sub number{
    my $len = 8;
    my $num;
    for (; $len > 0; $len--) {
	$num .= r() % 10;
    }
    return $num;
    
}

sub t{
    my $min = shift; 
    my $max = shift; 

    return $min + (r() % (1 + ($max - $min)));
}

for (my $i = 1; $i <= $n_records; $i++) {
    print "$i\t", name(), "\t", name(), "\t",number(), "\t", t($range_a_l, $range_a_h), "\t", t($range_b_l, $range_b_h), "\n";
}


