@echo off
setlocal
if NOT DEFINED USER_CHECKOUT_ROOT echo You need to run envvar.cmd to set CHECKOUT_ROOT & goto quit

rem This script runs a test suite on a remote server.
rem Invoked as: clientrun javaclient? <hostname> <hostport> suite_name testname suite_dir output_dir
rem ----------------------------------------------------------------------

set JavaClient=0
set ServerName=0
set ServerPort=0
set SuiteName=0
set TestName=0
set SuiteDir=0
set OutputDir=0
if NOT "%1"=="" set JavaClient=%1& shift
if NOT "%1"=="" set ServerName=%1& shift
if NOT "%1"=="" set ServerPort=%1& shift
if NOT "%1"=="" set SuiteName=%1& shift
if NOT "%1"=="" set TestName=%1& shift
if NOT "%1"=="" set SuiteDir=%1& shift
if NOT "%1"=="" set OutputDir=%1& shift

if %OutputDir%==0 echo Invoked as: clientrun javaclient? hostname hostport suite_name test_name suite_dir output_dir& goto quit

echo "Running test %TestName%"

pushd %SuiteDir%\%SuiteName%

type %TestName%.run | P:\nt_proj\Debug\txtclient -s 6005 -e 1 -t 0 -d 0 > %OutputDir%\%SuiteName%.%TestName%.out

if EXIST %TestName%.tc.correct diff -Bb %OutputDir%\%SuiteName%.%TestName%.out %TestName%.tc.correct > %OutputDir%\%SuiteName%.%TestName%.diff
rem ELSE
if NOT EXIST %TestName%.tc.correct diff -Bb %OutputDir%\%SuiteName%.%TestName%.out %TestName%.correct > %OutputDir%\%SuiteName%.%TestName%.diff

echo "Done"

popd

:quit
endlocal
