#ifndef XXX_SQLWINDOW_H
#define XXX_SQLWINDOW_H

#include "cgiClient.h"

class sqlWindow : public ApplForm {
 public:
  static const char*  ERR_SQL_NOQUERY;

  class sqlWindowExecData : public ApplForm::ExecutionData {
   public:
    char Buf[2000];
    ostrstream BufOStr;
    sqlWindowExecData() : BufOStr(Buf, 2000) {}
    virtual const char* ErrorString() {
      return Buf;
    }
    char* WhereInBuf(char* input) const{
      if(strlen(input) == 0) {
	return NULL;
      }
      return strstr(Buf,input);
    }
    virtual void resetBuf() {
      int temp = BufOStr.pcount();
      for(int k=0;k<temp;k++){
	Buf[k] = 0;
      }
      (void)BufOStr.seekp(0);
    }
    virtual void WriteHTML(ostream& OStr) {
      Buf[BufOStr.pcount()] = 0;
      OStr << Buf << endl;
     }
   };
  char *Query;
 

  sqlWindow() : ApplForm("sqlWindow") {}
  //// semantic check of the form input
  virtual Status Verify(FormInput& FI, const char*& ErrorMessage) ;
  virtual Status Execute(PredConnection*, FormInput& FI, 
			 ExecutionData*& ExecData);
};

#endif
