package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The double-precision floating point number ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see DoubleObject
 */
public class ADT_double extends ADT {
  /**
   * Returns the class of the double ADT's object data
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the double ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new DoubleObject().getClass());
  }
}

