package PREDATOR.ADT;

import java.io.*;
import PREDATOR.*;

/**
 * The type_blob ADT.  
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see BlobObject
 */
public class ADT_type_blob extends ADT {
  /**
   * Returns the class of the Blob ADT's object data: BlobData
   * @param MetaInfo The meta-info for the object to be read
   * @return The class of the Blob ADT's object data
   */
  public Class getObjectClass(ADTMetaInfo MetaInfo)
  { 
    return (new BlobObject().getClass());
  }
}

