package PREDATOR.ADT;

/**
 * The exception thrown when an ADT cannot parse the binary version of 
 * itself in a record.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see ADT#readValue(ByteArrayInputStream, DataObject)
 */
public class CannotReadObjectException extends Exception {
  /**
   * Constructs a CannotReadObjectException without a detail message.
   */
  public CannotReadObjectException()
  {
    super();
  }

  /**
   * Constructs a CannotReadObjectException with the specified message.
   */
  public CannotReadObjectException(String Message)
  {
    super(Message);
  }
}
