package PREDATOR.ADT;

import java.io.*;

/**
 * Encapsulates all in-memory data regarding an MIBlob ADT object.
 */
public class MIBlobObject extends DataObject {
  /**
   * Prints the value of the MIBlob
   * @param MetaInfo The meta-info for this object
   * @return A string holding the value of the MIBlob
   */
  public String toString(ADTMetaInfo MetaInfo) {
    String tmp = super.toString(MetaInfo);
    if (tmp != null)
      return (tmp);
    return new String("MIBlob: size 0");
  }
}

