package PREDATOR.ADT;

/**
 * The meta-info for the Pdate ADT.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see ADT_date
 * @see ADT#newMetaInfo(byte[])
 */
public class PdateMetaInfo extends ADTMetaInfo {
  /// The default format string
  public static char DefaultFormat[] = {'M', '/', 'D', '/', 'C', 'Y', 'e'};
  /**
   * Provides a textual version of this object suitable for user-display.
   * @return A textual version of this object
   */ 
  public String toString()
  {
    StringBuffer buffer = new StringBuffer();
    int i = 0;
	char[] Format = new String(getBytes(), 0).toCharArray();
    while (i < Format.length) {
      buffer.append(Format[i]);
      if (Format[i] == 'e')
	break;
      i++;
    }
    return buffer.toString();
  }

}
