package PREDATOR;

/**
 * The exception thrown when a query is constructed improperly.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see Query
 */
public class BadQueryException extends Exception {
  /**
   * Constructs a BadQueryException without a detail message.
   */
  public BadQueryException()
  {
    super();
  }

  /**
   * Constructs a BadQueryException with the specified message.
   */
  public BadQueryException(String Message)
  {
    super(Message);
  }
}
