package PREDATOR;

/**
 * The exception thrown when a connection cannot be opened.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see Connection#open(ServerSite)
 */
public class CannotConnectException extends Exception {
  /**
   * Constructs a CannotConnectException without a detail message.
   */
  public CannotConnectException()
  {
    super();
  }
  /**
   * Constructs a CannotConnectException with the specified message.
   */
  public CannotConnectException(String Message)
  {
    super(Message);
  }
}
