package PREDATOR;

/**
 * The exception thrown when an attempt is made to open a connection object
 * when it is already open.
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 * @see Connection#open(ServerSite)
 */
public class ConnectionAlreadyOpenException extends Exception {
  /**
   * Constructs a ConnectionAlreadyOpenException without a detail message.
   */
  public ConnectionAlreadyOpenException()
  {
    super();
  }
  /**
   * Constructs a ConnectionAlreadyOpenException with the specified message.
   */
  public ConnectionAlreadyOpenException(String Message)
  {
    super(Message);
  }
}
