
public class Dbg
{
  static final public int general = 0;
  static final public int protocol = 1;
  static final public int planConstruction = 2;
  static final public int planExecution = 3;
  static final public int always = 4;
  static final public int clientUDF = 5;
  static boolean[] Flags;
  static String[] Msg;

  static {
    Flags = new boolean[20];
    Msg = new String[20];
    
    Msg[general] = "General";
    Msg[protocol] = "Protocol";
    Msg[planConstruction] = "Plan-Construction";
    Msg[planExecution] = "Plan-Execution";
    Msg[always] = "General";
    Flags[general] = false;
    Flags[protocol] = false;
    Flags[planConstruction] = false;
    Flags[planExecution] = false;
    Flags[always] = false;
  }

  private static void output(String S)
  {
    System.err.println(S);
  }

  public static void FatalException(Exception X)
  {
    output("Caught fatal exception: " + X.toString());
    X.printStackTrace();
    throw new PREDATOR.InternalError(X);
  }

  public static void Message(int condition, String string)
  {
    if(Flags[condition])
      output("Debug : "+ Msg[condition] + " : " + string);
  }
}
