package PREDATOR;

/**
 * The exception thrown when a method is called which requires a query to
 * be in process, but no query is running.
 * @see Connection#endQuery()
 * @author Mark A. Paskin, paskin@cs.cornell.edu
 * @version 0.9
 */
public class NoQueryRunningException extends Exception {
  /**
   * Constructs a NoQueryRunningException without a detail message.
   */
  public NoQueryRunningException()
  {
    super();
  }

  /**
   * Constructs a NoQueryRunningException with the specified message.
   */
  public NoQueryRunningException(String Message)
  {
    super(Message);
  }
}
