//// Dummy File for device UDFs 

#ifdef XXX_DEF_COUGAR
#include "..\..\cougar\deviceplanop.h"

#else

#ifndef XXX_DEVICEPLANOP_H
#define XXX_DEVICEPLANOP_H

#include "relplanop.h"
#include "planspj.h"
#include "funcexpr.h"
#include "socket.h"
#include "prd-config.h"

// else dummy declaration

class RelDevicePlanOp : public RelDerivedPlanOp 
{
 public:
  RelDevicePlanOp(RelPlanOp* ChildPlanOp,
		  XxxValExprPlanList* ProjList,
		  RelSPJOptimizer::PredPlanStruct& CondList,
		  XxxBool DuplicateElimination,
		  RelCatalogInfo* CatInfo)
    : RelDerivedPlanOp(1, &ChildPlanOp, CatInfo) {}

  virtual ~RelDevicePlanOp(){}
  
  // These methods are called from RelSPJNaiveOptimizer
  static XxxErrCode IsDeviceUDFPlan(XxxValExprPlanList* ProjList,
				    RelSPJOptimizer::PredPlanStruct& CondList, 
				    XxxBool& Answer)
    {
      Answer=XXX_FALSE;
      return XXX_OK;
    }
  
  static XxxErrCode MakePlanOp(RelPlanOp* ChildPlanOp,
			       XxxValExprPlanList* ProjList,
			       RelSPJOptimizer::PredPlanStruct& CondList,
			       XxxBool DuplicateElimination,
			       RelCatalogInfo* CatInfo,
			       RelPlanOp*& ReturnPlanOp)
    {return XXX_OK;}
};

#endif


#endif // XXX_DEVICEPLANOP_H
