#ifndef XXX_PLANOBY_H
#define XXX_PLANOBY_H

#include "relopt.h"

/**
 *
 */
class RelOrderByBlockPlan : public RelBlockPlan { public:
  /*
   *
   */
  class ObyPlan : public RelOptEngine::PlanObject { 
   public:
    int ChildPlanId; 

    ObyPlan(int PlanIdent,
	    unsigned char BlockIdent,
	    int ChildPlan,
	    XxxGenericPlan::PlanUsage& ChildUsage);
    virtual void Print(ostream& OStr) const;
   };

  XxxValExprPlanList* TargetExprPlanList;
  XxxBool *Ascending;

  int SubPlanId; // id of subplan in lower query block

  virtual void Print(ostream& OStr) const;
  virtual XxxErrCode GeneratePlanOp(int PlanId,
				    RelPlanOp*& PlanOp) const;
  RelOrderByBlockPlan(XxxErrCode& RC,
		      unsigned char BlockIdent,
		      RelOperator*, RelBlockPlan* Child,
		      RelCatalogInfo* CatInfo,
		      RelOptEngine::OptQueryEnv* Env);
  virtual ~RelOrderByBlockPlan();
  // This method replaces the dependencies of all correlation
  // variables (i.e XxxUnknownVars) within this plan.
  virtual XxxErrCode RedirectDependencies(const XxxValueExprPlan::VarRemapping& Remap,
					  int CorrelationHt = 0);
 };

#endif
