#ifndef XXX_PLANSTOP_H
#define XXX_PLANSTOP_H

#include "relopt.h"

/**
 *
 */
class RelStopAfterBlockPlan : public RelBlockPlan { public:
  /*
   *
   */
  class StopPlan : public RelOptEngine::PlanObject { 
  public:
    int ChildPlanId; 
    
    StopPlan(int PlanIdent,
	     unsigned char BlockIdent,
	     int ChildPlan,
	     XxxGenericPlan::PlanUsage& ChildUsage);
    virtual void Print(ostream& OStr) const;
  };
  
  int K;
  
  int SubPlanId; // id of subplan in lower query block

  virtual void Print(ostream& OStr) const;
  virtual XxxErrCode GeneratePlanOp(int PlanId,
				    RelPlanOp*& PlanOp) const;
  RelStopAfterBlockPlan(XxxErrCode& RC,
			unsigned char BlockIdent,
			RelOperator*, RelBlockPlan* Child,
			RelCatalogInfo* CatInfo,
			RelOptEngine::OptQueryEnv* Env);
  virtual ~RelStopAfterBlockPlan();
  // This method replaces the dependencies of all correlation
  // variables (i.e XxxUnknownVars) within this plan.
  virtual XxxErrCode RedirectDependencies(const XxxValueExprPlan::VarRemapping& Remap,
					  int CorrelationHt = 0);
 };

#endif
