#ifndef ERROR_DEF_H
#define ERROR_DEF_H


/// PREDATOR's boolean type
typedef char XxxBool;
const XxxBool XXX_TRUE  = 1;
const XxxBool XXX_FALSE = 0;
const XxxBool XXX_DONTCARE = -1;

/// Error codes returned from function calls.
enum XxxErrCode { 
  XXX_OK = 0, 
  XXX_NOT_OK = 1, 
  XXX_QUIT = 2, // doesnt get used yet
  XXX_INTR = 3}; // doesnt get used yet
typedef char XxxErrCond;

typedef void (*XxxSigHandlerType)(int);
typedef void (*XxxNewHandlerType)();

#endif
