#ifndef XXX_GENERIC_PARSE_H
#define XXX_GENERIC_PARSE_H

XXX_EXTERN_CLASS_DECL(XxxADTMetaInfo);
XXX_EXTERN_CLASS_DECL(XxxADTClass);

/***
 ** Class representing a generic query parse data structure
 ***/
class XxxGenericParse { 
 public:
  XxxGenericParse() {}
  virtual ~XxxGenericParse() {}

  // what is the result type?
  virtual XxxBasicType GenerateType() const = 0;
  // is there any meta-info associated with this expression?
  virtual XxxADTMetaInfo* GenerateCatInfo() const = 0;
  virtual XxxGenericParse* Replicate() const = 0;
 };

#endif



