#ifndef PAPI_PROF_H
#define PAPI_PROF_H

template <int MaxNumEvents>
class PapiProf {
 public:
  static void overflow_handler(int, int, int, long long*, int*, void*);

  PapiProf();
  ~PapiProf();

  static void PapiStart(const char*);
  static void PapiStop();
 private:
  static void PrintValues(); //called from destructor
  static long long accum_values[MaxNumEvents]; //store accumulated event counts here
  static long long stop_values[MaxNumEvents]; 
  static int events[MaxNumEvents];
  static int event_set;
  static int ActNumEvents; //actual number of events
};

#endif
