#include "templates.h"

#ifdef __GNUG__

#include "../server/env.h"
#include "../server/defeng.h"
#include "../utils/record.h"
#ifdef XXX_DEF_SEQADT
#include "../seqadt/execute/commands.h"
#include "../seqadt/storage/seqcat.h"
#include "../seqadt/storage/seqdata.h"
#include "../seqadt/compile/seqquery.h"
#include "../seqadt/storage/unixascii.h"
#include "../seqadt/storage/shoreseq.h"
#include "../seqadt/basic/order.h"
#endif
#ifdef XXX_DEF_RELADT
#include "../reladt/execute/commands.h"
#include "../reladt/compile/relquery.h"
#include "../reladt/storage/relcat.h"
#include "../reladt/storage/reldata.h"
#include "../reladt/basic/relenv.h"
#include "../reladt/storage/shorerel.h"
#endif // XXX_RELADT

//Bjarke, aug. 6: EXPLICIT_TEMPLATE renamed to PRED_EXPLICIT_TEMPLATE
#ifdef PRED_EXPLICIT_TEMPLATE
// server/defeng.h
template class XxxRootTable<XxxClientProtocol::ProtoDefn*>;
template class XxxPtrTable<XxxClientProtocol::ProtoDefn*>;
template class XxxSet<XxxClientProtocol::ProtoDefn*>;
template class XxxMultiSet<XxxClientProtocol::ProtoDefn*>;

// server/env.h
template class XxxStack<ostream *>;

// utils/absquery.C
template class XxxStack<XxxQueryNode*>;

// utils/record.h
template class XxxMultiSet<XxxRecord*>;

// reladt/execute/commands.h
template class XxxMultiSet<XxxRelCommand>;
template class XxxSet<XxxRelCommand>;
template class XxxRootTable<XxxRelCommand>;
template class XxxTable<XxxRelCommand>;

// reladt/storage/relcat.h
template class XxxSet<RelCatalogInfo>;
template class XxxMultiSet<RelCatalogInfo>;

// reladt/storage/reldata.h
template class XxxMultiSet<RelNamedHandle>;

// reladt/storage/shorerel.h
template class XxxSet<RelNamedHandle>;
// Bjarke aug. 6: duplicate instantiation removed
// template class XxxMultiSet<RelNamedHandle>;
template class XxxRootArray< RelShoreDataSrc::RelShoreDevice*>;
template class XxxPtrArray< RelShoreDataSrc::RelShoreDevice*>;

// reladt/basic/relenv.h
template class XxxStack<XxxArgEnv *>;
template class XxxStack<char *>;

#endif
#endif
