// This DUMMY file is only used, if the JVM is not needed. 
// The actual definitions for the functions are in jaguar/JavaUDF.h.
#ifdef XXX_JAVA_VIRTUAL_MACHINE

#include "..\jaguar\JavaUDF.h"

#else

#ifndef XXX_JAVAUDF_H
#define XXX_JAVAUDF_H
#include "JavaVM.h"
#include "adtfunc.h"
#include "protocol.h"

class XxxJavaFuncPlanInfo;
class XxxJavaSecurity;
class XxxJavaLocalSourceSecurity;
class XxxJavaRemoteSourceSecurity;

class XxxJavaFuncMethodInfo : public XxxFuncMethodInfo
{
public:

  XxxJavaFuncMethodInfo(const char* FName, 
			XxxBasicType RetType, 
			XxxADTClass::MetaInfoGen MIG,
      XxxADTClass::OptimizeFunc OF,
			ArgInfo& TypeSignature,
			const char* SubclasserName,
			const char* UDFName,
			XxxJavaSecurity* Security) : 
	XxxFuncMethodInfo(0, 0, TypeSignature,
			  0, MIG, 0)
  { }

  XxxJavaFuncMethodInfo(const char* FName, 
			XxxBasicType RetType, 
			XxxADTClass::MetaInfoGen MIG,
      XxxADTClass::OptimizeFunc OF,
			int Arity,
			const char* SubclasserName,
			const char* UDFName,
			XxxJavaSecurity* Security
			...) : 
    XxxFuncMethodInfo(0, 0, 
		      MIG, OptFunc, 
		      0,0)
  { }

  ~XxxJavaFuncMethodInfo()
  {}

  static XxxErrCode OptFunc(XxxFuncParseInfo* FParse,
			    XxxValueExprPlan* OwnerPlan,
			    XxxValExprPlanList* ArgPlans,
			    XxxFuncPlanInfo*& FuncPlan)
  { return XXX_NOT_OK; }

  XxxJavaSecurity* GetSecurity()
  { return NULL; }

};

class XxxJavaFuncPlanInfo : public XxxFuncPlanInfo 
{
public:

  XxxJavaFuncPlanInfo( XxxJavaFuncMethodInfo* JFMI,
		       const XxxFuncParseInfo* FuncParse, 
		       XxxValueExprPlan* OwnerPlan, 
		       XxxValExprPlanList* ArgPlans,
			   XxxGenericPlan* Plan = NULL) :
	XxxFuncPlanInfo(NULL,0,NULL)
  { }

  ~XxxJavaFuncPlanInfo()
  { }

  XxxErrCode ExecJFunc(XxxValueEnv* Env, void *ReturnValue) const
  { return XXX_NOT_OK; }

  XxxErrCode WasInitOK() 
  { return XXX_NOT_OK; }
};
 
class XxxJavaSecurity
{
public:
  virtual XxxJavaSecurity *Replicate() = 0;
  virtual int GetSecurityInfoLength() = 0;
};

class XxxJavaRemoteSourceSecurity : public XxxJavaSecurity
{
public:
  XxxJavaRemoteSourceSecurity(const char *RemoteURL)
  { }
  virtual ~XxxJavaRemoteSourceSecurity()
  { }
  virtual XxxJavaSecurity *Replicate()
  { return NULL; }
  virtual int GetSecurityInfoLength()
  { return 0; }
};

class XxxJavaLocalSourceSecurity : public XxxJavaSecurity
{
public:
  virtual XxxJavaSecurity *Replicate()
  { return NULL; }
  virtual int GetSecurityInfoLength()
  { return 0; }
};

XxxErrCode XxxExtendADTsWithJavaUDFs()
{
  return XXX_NOT_OK;
}

void XxxJaguarExtendProtocolTable(
       XxxPtrTable<XxxClientProtocol::ProtoDefn*> &ProtocolTable)
{
}


#endif // XXX_JAVAUDF_H

#endif // XXX_JAVA_VIRTUAL_MACHINE











