%{
#include <string.h>
#include <iostream.h>
#include <fstream.h>

#include "options.h"

#define YYSTYPE keyValuePtr
char *key=NULL;
char *value=NULL;

options::options()
{
  Items = new linkedList();
}

options::~options()
{
	delete Items;
}

XxxBool options::load(char *filename)
{
  ifstream fileInput(filename,ios::in);
  if (!fileInput) 
  { 
	return XXX_NOT_OK;
  }
  else
  {
    yyFlexLexer *tmpLexer=new yyFlexLexer(&fileInput,0);
    for(keyValuePtr currItem= new keyValue();
       tmpLexer->yylex((void *)(currItem));
       currItem= new keyValue())
		{ 
			Items->add(currItem); 
			currItem->display();
		 }
  }
  fileInput.close();

  return XXX_OK;

}

//Bjarke, aug. 8: const added to parameter type
char *options::getopt(const char *value)
{  return(Items->findValue(value)); }

void options::display()
{  Items->display(); }


char *addstring(char *orignal,char *suffix)
{
  if(suffix==NULL)
    return orignal;
  if(orignal==NULL)
    {

    }
  return orignal;
}

#define YY_DECL int yyFlexLexer::yylex(void *lvalp)
%}

%x COMMENT
%x VALUE

%%
<INITIAL>[^#\n=]+      { 
                         key=new char[strlen(yytext)+1];
                         strcpy(key,yytext);
                       }
<VALUE,INITIAL>"#"     {  BEGIN COMMENT; }
<INITIAL>"="           {
                         if(key!=NULL)
                         {BEGIN VALUE;} 
                       }
<VALUE,INITIAL,COMMENT>\n {
                          BEGIN INITIAL;
                          if(key!=NULL)                     
		          { 
			     ((YYSTYPE)lvalp)->key=key;
			     if(value!=NULL)
			     ((YYSTYPE)lvalp)->value=value;
			     else
	 		     ((YYSTYPE)lvalp)->value=NULL;
                             
                             key=NULL;
                             value=NULL;

                             return 1;
		          }
                          key=NULL;
                          value=NULL;

                      }
<COMMENT>[^\n]    ;
<VALUE>[^#\n]+  { 
                         value=new char[strlen(yytext)+1];
                         strcpy(value,yytext);
                }
%%
int yywrap()
{ return 1; }










